Get a monitor
curl --request GET \
--url https://api.octen.ai/monitors/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.octen.ai/monitors/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.octen.ai/monitors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octen.ai/monitors/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.octen.ai/monitors/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.octen.ai/monitors/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octen.ai/monitors/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"code": 0,
"msg": "success",
"request_id": "req_abc123def456",
"data": {
"monitor_id": "mon_123",
"name": "shop.example.com/products/widget-pro",
"type": "page",
"page": {
"urls": [
"https://shop.example.com/products/widget-pro"
],
"output_schema": [
{
"field_name": "price",
"field_type": "number",
"field_desc": "Current price in USD"
}
]
},
"condition": "price drops more than 10%",
"schedule": {
"interval": "1h"
},
"webhook": {
"url": "https://example.com/hooks/octen"
},
"status": "active",
"next_run_at": "2026-11-16T15:00:00Z",
"last_run": {
"run_id": "run_789",
"status": "completed",
"at": "2026-11-16T14:00:07Z"
},
"last_notified_at": "2026-11-16T14:00:07Z",
"created_at": "2026-11-16T08:22:10Z",
"notifications_7d": 1
}
}{
"code": 401,
"msg": "Invalid API Key",
"request_id": "req_abc123def456"
}{
"code": 404,
"msg": "Monitor not found",
"request_id": "req_abc123def456"
}{
"code": 429,
"msg": "Exceeding the rate limit",
"request_id": "req_abc123def456"
}{
"code": 500,
"msg": "Internal error",
"request_id": "req_abc123def456"
}Monitor
Get Monitor API Reference
Returns a monitor by id.
GET
/
monitors
/
{id}
Get a monitor
curl --request GET \
--url https://api.octen.ai/monitors/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.octen.ai/monitors/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.octen.ai/monitors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octen.ai/monitors/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.octen.ai/monitors/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.octen.ai/monitors/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octen.ai/monitors/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"code": 0,
"msg": "success",
"request_id": "req_abc123def456",
"data": {
"monitor_id": "mon_123",
"name": "shop.example.com/products/widget-pro",
"type": "page",
"page": {
"urls": [
"https://shop.example.com/products/widget-pro"
],
"output_schema": [
{
"field_name": "price",
"field_type": "number",
"field_desc": "Current price in USD"
}
]
},
"condition": "price drops more than 10%",
"schedule": {
"interval": "1h"
},
"webhook": {
"url": "https://example.com/hooks/octen"
},
"status": "active",
"next_run_at": "2026-11-16T15:00:00Z",
"last_run": {
"run_id": "run_789",
"status": "completed",
"at": "2026-11-16T14:00:07Z"
},
"last_notified_at": "2026-11-16T14:00:07Z",
"created_at": "2026-11-16T08:22:10Z",
"notifications_7d": 1
}
}{
"code": 401,
"msg": "Invalid API Key",
"request_id": "req_abc123def456"
}{
"code": 404,
"msg": "Monitor not found",
"request_id": "req_abc123def456"
}{
"code": 429,
"msg": "Exceeding the rate limit",
"request_id": "req_abc123def456"
}{
"code": 500,
"msg": "Internal error",
"request_id": "req_abc123def456"
}Authorizations
bearerAuthapiKeyAuth
Was this page helpful?